import pygame
import sys
from game import Game

def main():
    # Initialize Pygame
    pygame.init()
    
    # Create game instance
    game = Game()
    
    try:
        # Run the game
        game.run()
    except Exception as e:
        print(f"Error: {e}")
    finally:
        # Clean up
        pygame.quit()
        sys.exit()

if __name__ == "__main__":
    main() 